<?php

namespace App\Modules\FactProduct\Domain;

use App\Modules\Shared\Domain\Storage\Criteria\StorageCriteria;

interface FactProductRepository
{
    public function find(StorageCriteria $action): FactProduct;
    public function search(StorageCriteria $action): array;
    public function insert(FactProduct $model);
    public function update(FactProduct $model);
}
